Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690942 - Review Request: python3-rpm - Python 3 bindings for apps which will manipulate RPM packages
Summary: Review Request: python3-rpm - Python 3 bindings for apps which will manipulat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 14:06 UTC by Miro Hrončok
Modified: 2019-04-03 18:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 18:50:54 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2019-03-20 14:06:19 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python3-rpm.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python3-rpm-4.11.3-3.el7.src.rpm

Description:
The python3-rpm package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python 3
programs that will manipulate RPM packages and databases.

Fedora Account System Username: churchyard

EPEL7 only.

Comment 1 Neal Gompa 2019-03-20 15:10:58 UTC
Taking this review.

Comment 2 Neal Gompa 2019-03-20 15:14:18 UTC
Miro, I think there's actually quite a few more patches in the RHEL 7 rpm package, some of which are API backports. You should make sure to synchronize the patch set.

Check the CentOS git server here for that: https://git.centos.org/blob/rpms!rpm.git/be9911d689c7cb2bb38b2a46e0025de284e618df/SPECS!rpm.spec

Also, I *strongly* suggest backporting this patch: https://github.com/rpm-software-management/rpm/commit/2797d00ecd224a59a8ca967f40240e827ff31c69

That makes it so that the module name is consistent with Fedora and EL8. The rpm-python package in EL7 and older provides no setuptools metadata, so this is new, and I'd rather not introduce the old name as a potential API for things.

Comment 3 Miro Hrončok 2019-03-20 15:15:41 UTC
Will do both.

Comment 4 Miro Hrončok 2019-03-20 16:39:37 UTC
Done.

Comment 6 Neal Gompa 2019-03-25 12:32:52 UTC
Review notes:

[x] Follows Fedora EPEL 
[x] Follows Fedora EPEL Python Packaging Guidelines
[x] Builds and installs
[x] No serious issues from rpmlint

PACKAGE APPROVED.

Comment 7 Neal Gompa 2019-03-25 12:33:17 UTC
> [x] Follows Fedora EPEL 

Bah, I meant:

[x] Follows Fedora EPEL Packaging Guidelines

Comment 8 Fedora Update System 2019-03-25 18:44:43 UTC
python-trololio-1.0-2.el7 python-typing-3.5.2.2-4.el7 python-unidiff-0.5.4-2.el7 python-vcstools-0.1.40-2.el7 python-vxi11-0.9-2.el7 python-wcwidth-0.1.7-3.el7 python-whoosh-2.7.4-4.el7 python-wrapt-1.10.4-8.el7 python-www-authenticate-0.9.2-4.el7 python-xapp-1.0.1-9.el7 python-xlrd-1.0.0-7.el7 python-yamlordereddictloader-0.4.0-2.el7 python-yara-3.8.1-2.el7.1 python-zope-component-4.1.0-5.el7 python-zope-configuration-4.0.3-13.el7 python-zope-exceptions-4.0.5-6.el7 python-zope-i18nmessageid-4.0.3-4.el7 python-zope-schema-4.4.1-4.el7 python-zope-testing-4.6.1-8.el7 python3-rpm-4.11.3-3.el7 pyxdg-0.25-7.el7 qpid-proton-0.26.0-2.el7 rlwrap-0.43-2.el7 root-6.16.00-4.el7 sasutils-0.3.9-2.el7 scapy-2.4.0-3.el7 shiboken-1.2.4-10.el7 spglib-1.11.1-2.el7 urjtag-2017.10-3.el7 uwsgi-2.0.17.1-2.el7 xapps-1.0.4-14.el7 xed-1.6.2-3.el7 xplayer-1.6.0-6.el7 xrootd-4.9.0-2.el7 xviewer-plugins-1.2.0-6.el7 yamllint-1.15.0-2.el7 youtube-dl-2019.01.30-2.el7 yubikey-piv-manager-1.4.2-6.el7 znc-1.7.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ed3564d906

Comment 9 Fedora Update System 2019-03-25 18:44:52 UTC
python-trololio-1.0-2.el7 python-typing-3.5.2.2-4.el7 python-unidiff-0.5.4-2.el7 python-vcstools-0.1.40-2.el7 python-vxi11-0.9-2.el7 python-wcwidth-0.1.7-3.el7 python-whoosh-2.7.4-4.el7 python-wrapt-1.10.4-8.el7 python-www-authenticate-0.9.2-4.el7 python-xapp-1.0.1-9.el7 python-xlrd-1.0.0-7.el7 python-yamlordereddictloader-0.4.0-2.el7 python-yara-3.8.1-2.el7.1 python-zope-component-4.1.0-5.el7 python-zope-configuration-4.0.3-13.el7 python-zope-exceptions-4.0.5-6.el7 python-zope-i18nmessageid-4.0.3-4.el7 python-zope-schema-4.4.1-4.el7 python-zope-testing-4.6.1-8.el7 python3-rpm-4.11.3-3.el7 pyxdg-0.25-7.el7 qpid-proton-0.26.0-2.el7 rlwrap-0.43-2.el7 root-6.16.00-4.el7 sasutils-0.3.9-2.el7 scapy-2.4.0-3.el7 shiboken-1.2.4-10.el7 spglib-1.11.1-2.el7 urjtag-2017.10-3.el7 uwsgi-2.0.17.1-2.el7 xapps-1.0.4-14.el7 xed-1.6.2-3.el7 xplayer-1.6.0-6.el7 xrootd-4.9.0-2.el7 xviewer-plugins-1.2.0-6.el7 yamllint-1.15.0-2.el7 youtube-dl-2019.01.30-2.el7 yubikey-piv-manager-1.4.2-6.el7 znc-1.7.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ed3564d906

Comment 10 Fedora Update System 2019-03-27 01:40:31 UTC
python-trololio-1.0-2.el7, python-typing-3.5.2.2-4.el7, python-unidiff-0.5.4-2.el7, python-vcstools-0.1.40-2.el7, python-vxi11-0.9-2.el7, python-wcwidth-0.1.7-3.el7, python-whoosh-2.7.4-4.el7, python-wrapt-1.10.4-8.el7, python-www-authenticate-0.9.2-4.el7, python-xapp-1.0.1-9.el7, python-xlrd-1.0.0-7.el7, python-yamlordereddictloader-0.4.0-2.el7, python-yara-3.8.1-2.el7.1, python-zope-component-4.1.0-5.el7, python-zope-configuration-4.0.3-13.el7, python-zope-exceptions-4.0.5-6.el7, python-zope-i18nmessageid-4.0.3-4.el7, python-zope-schema-4.4.1-4.el7, python-zope-testing-4.6.1-8.el7, python3-rpm-4.11.3-3.el7, pyxdg-0.25-7.el7, qpid-proton-0.26.0-2.el7, rlwrap-0.43-2.el7, root-6.16.00-4.el7, sasutils-0.3.9-2.el7, scapy-2.4.0-3.el7, shiboken-1.2.4-10.el7, spglib-1.11.1-2.el7, urjtag-2017.10-3.el7, uwsgi-2.0.17.1-2.el7, xapps-1.0.4-14.el7, xed-1.6.2-3.el7, xplayer-1.6.0-6.el7, xrootd-4.9.0-2.el7, xviewer-plugins-1.2.0-6.el7, yamllint-1.15.0-2.el7, youtube-dl-2019.01.30-2.el7, yubikey-piv-manager-1.4.2-6.el7, znc-1.7.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ed3564d906

Comment 11 Fedora Update System 2019-04-03 18:50:54 UTC
python-trololio-1.0-2.el7, python-typing-3.5.2.2-4.el7, python-unidiff-0.5.4-2.el7, python-vcstools-0.1.40-2.el7, python-vxi11-0.9-2.el7, python-wcwidth-0.1.7-3.el7, python-whoosh-2.7.4-4.el7, python-wrapt-1.10.4-8.el7, python-www-authenticate-0.9.2-4.el7, python-xapp-1.0.1-9.el7, python-xlrd-1.0.0-7.el7, python-yamlordereddictloader-0.4.0-2.el7, python-yara-3.8.1-2.el7.1, python-zope-component-4.1.0-5.el7, python-zope-configuration-4.0.3-13.el7, python-zope-exceptions-4.0.5-6.el7, python-zope-i18nmessageid-4.0.3-4.el7, python-zope-schema-4.4.1-4.el7, python-zope-testing-4.6.1-8.el7, python3-rpm-4.11.3-3.el7, pyxdg-0.25-7.el7, qpid-proton-0.26.0-2.el7, rlwrap-0.43-2.el7, root-6.16.00-4.el7, sasutils-0.3.9-2.el7, scapy-2.4.0-3.el7, shiboken-1.2.4-10.el7, spglib-1.11.1-2.el7, urjtag-2017.10-3.el7, uwsgi-2.0.17.1-2.el7, xapps-1.0.4-14.el7, xed-1.6.2-3.el7, xplayer-1.6.0-6.el7, xrootd-4.9.0-2.el7, xviewer-plugins-1.2.0-6.el7, yamllint-1.15.0-2.el7, youtube-dl-2019.01.30-2.el7, yubikey-piv-manager-1.4.2-6.el7, znc-1.7.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.